Bug 614541 - Review Request: Django-loki - Web interface to manage buildbots
Review Request: Django-loki - Web interface to manage buildbots
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marek Mahut
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-14 13:47 EDT by Dan Radez
Modified: 2013-10-19 10:42 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-09 09:24:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mmahut: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description Dan Radez 2010-07-14 13:47:41 EDT
Spec URL: http://radez.fedorapeople.org/loki.spec
SRPM URL: http://radez.fedorapeople.org/Django-loki-0.7.2-1.fc13.src.rpm
Description: A django interface to managagine buildbots

This is my first package and I need a sponsor
Comment 1 Anderson Silva 2010-07-14 14:07:43 EDT
Django-reusable-base requirement isn't a fedora package it seems, at least it is not found when I try to do a yum install on it.
Comment 2 Dan Radez 2010-07-14 14:17:52 EDT
working with a sponsor in person. updated a few things in teh spec. updated comments, and requires
Comment 3 Anderson Silva 2010-07-14 14:36:29 EDT
it passes rpm lint, but building the rpm fails with:

Checking for unpackaged file(s): /usr/lib/rpm/check-files /home/remote/ansilva/rpmbuild/BUILDROOT/Django-loki-0.7.2-1.fc13.i386
error: Installed (but unpackaged) file(s) found:
   /usr/lib/python2.6/site-packages/Django_loki-0.7.2-py2.6.egg-info


RPM build errors:
    Installed (but unpackaged) file(s) found:
   /usr/lib/python2.6/site-packages/Django_loki-0.7.2-py2.6.egg-info
Comment 4 Dan Radez 2010-07-14 14:42:08 EDT
updated spec,
new srpm link:
http://radez.fedorapeople.org/Django-loki-0.7.2-2.fc13.src.rpm
Comment 5 Anderson Silva 2010-07-14 14:49:27 EDT
spec and src looks reasonable.
Comment 6 Anderson Silva 2010-07-14 14:49:49 EDT
(In reply to comment #5)
> spec and src looks reasonable.    

... look ...
Comment 7 Dan Radez 2010-07-14 16:25:47 EDT
Still need a sponsor for this. Anderson was not able to sponsor me after all. We're learning how sponsorship works :)
Comment 8 Kevin Fenzi 2010-07-15 15:37:21 EDT
Hey Dan. ;) 

Some general comments here before a full review: 

- Take a look at http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored 
If you have some more packages to submit and/or wish to do some 'pre reviews' of other pending reviews to show you know the guidelines, that would be great. 

- Your spec file should match the package name. Please make sure it's "Django-loki.spec" and not just "loki.spec"

- Please see: https://fedoraproject.org/wiki/Packaging:Python_Eggs about the egg files. You shouldn't ghost them, but should provide them. Also, might check over the main python guidelines: 
https://fedoraproject.org/wiki/Packaging:Python

Please update those things and I will look at doing a formal review. ;)
Comment 9 Dan Radez 2010-07-16 09:58:10 EDT
Spec URL: http://radez.fedorapeople.org/Django-loki.spec
SRPM URL: http://radez.fedorapeople.org/Django-loki-0.7.2-2.fc13.src.rpm
Description: A django interface to managaing buildbots

updated this info.
Comment 10 Dan Radez 2010-07-16 10:15:16 EDT
Kevin,
The updates have been made as requested. I do have one other package to submit. I'll get this one ready too and work through some pre reviews.

Thanks

Dan
Comment 11 Kevin Fenzi 2010-07-17 00:04:25 EDT
Marek: Were you going to review this and look at sponsoring Dan? 

I'd be happy to do so, or you can... I didn't note that you had assigned the review already. :)
Comment 12 Dan Radez 2011-11-09 09:24:10 EST
not going to continue trying to package this

Note You need to log in before you can comment on or make changes to this bug.